Package org.gradle.api.tasks.testing.junit

## Class JUnitOptions

- java.lang.Object
- - org.gradle.api.tasks.testing.TestFrameworkOptions
  - - org.gradle.api.tasks.testing.junit.JUnitOptions

-     public class JUnitOptions
      extends TestFrameworkOptions

  The JUnit specific test options.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JUnitOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `copyFrom​(JUnitOptions other)` | Copies the options from the source options into the current one.
    `JUnitOptions` | `excludeCategories​(java.lang.String... excludeCategories)` |
    `java.util.Set<java.lang.String>` | `getExcludeCategories()` | The set of categories to exclude.
    `java.util.Set<java.lang.String>` | `getIncludeCategories()` | The set of categories to run.
    `JUnitOptions` | `includeCategories​(java.lang.String... includeCategories)` |
    `void` | `setExcludeCategories​(java.util.Set<java.lang.String> excludeCategories)` | The set of categories to exclude.
    `void` | `setIncludeCategories​(java.util.Set<java.lang.String> includeCategories)` | The set of categories to run.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JUnitOptions

          public JUnitOptions()

  - ### Method Detail

    - #### copyFrom

          public void copyFrom​(JUnitOptions other)

      Copies the options from the source options into the current one.
      Since:
        8.0

    - #### includeCategories

          public JUnitOptions includeCategories​(java.lang.String... includeCategories)

    - #### excludeCategories

          public JUnitOptions excludeCategories​(java.lang.String... excludeCategories)

    - #### getIncludeCategories

          @Input
          public java.util.Set<java.lang.String> getIncludeCategories()

      The set of categories to run.

    - #### setIncludeCategories

          public void setIncludeCategories​(java.util.Set<java.lang.String> includeCategories)

      The set of categories to run.

    - #### getExcludeCategories

          @Input
          public java.util.Set<java.lang.String> getExcludeCategories()

      The set of categories to exclude.

    - #### setExcludeCategories

          public void setExcludeCategories​(java.util.Set<java.lang.String> excludeCategories)

      The set of categories to exclude.